MATSUNO★Tokuhiro > Module-Build-Pluggable-XSUtil-0.01 > Devel::WantXS

Download:
Module-Build-Pluggable-XSUtil-0.01.tar.gz

Dependencies

Annotate this POD

View/Report Bugs
Source   Latest Release: Module-Build-Pluggable-XSUtil-1.02

NAME ^

Devel::WantXS - user needs pp?

SYNOPSIS ^

    use Devel::WantXS;

    if (want_xs()) {
        ... # setup to compile
    } else {
        ... # setup to PP version
    }

DESCRIPTION ^

This module detects the user need to use pp version or not.

FUNCTIONS ^

want_xs() : Bool

Returns true if the user asked for the XS version or pure perl version of the module.

Will return true if "--xs" is explicitly specified as the argument to Makefile.PL, and false if "--pp" is specified. If neither is explicitly specified, will return the value specified by $default. If you do not specify the value of $default, then it will be true.

AUTHORS ^

Goro Fuji(Original author of Module::Install::XSUtil)

Tokuhiro Matsuno(Port from Module::Install::XSUtil)

syntax highlighting: